Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.addressbook
Class ViewContactsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.addressbook.AddressBookModel
              portlets.compoze.groupware.model.addressbook.ViewContactsModel

All Implemented Interfaces:
  java.io.Serializable

public class ViewContactsModel
extends AddressBookModel
implements java.io.Serializable

This class represents the data model for the contacts view (`view_contacts.jsp`).

See Also:
  Serialized Form

Constructor Summary
`ViewContactsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, AddressBookPreferences addressBookPrefs, Accounts accounts)` Constructor.

Method Summary
`java.lang.String` | `getBegins()` Gets the begining alphabet for the contact search.
`Contact[]` | `getContacts()` Gets the list of contacts for this account.
`Pagination` | `getPagination()` Gets the pagination.
`java.lang.String` | `getSearchTerm()` Gets the search term for the contact search.
`SortProperty` | `getSortProperty()` Gets the sort property.
`void` | `setBegins(java.lang.String sBegins)` Sets the begining alphabet for the contact search.
`void` | `setContacts(Contact[] contacts)` Sets the list of contacts for this account.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setSearchTerm(java.lang.String sSearchTerm)` Sets the search term for the contact search.
`void` | `setSortProperty(SortProperty sortProperty)` Sets the sort property.

Methods inherited from class portlets.compoze.groupware.model.addressbook.AddressBookModel
`getAddressBookPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewContactsModel

    public ViewContactsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                             FeatureGroup featureGroup,
                             GroupwarePreferences groupwarePrefs,
                             AddressBookPreferences addressBookPrefs,
                             Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `addressBookPrefs` - the address book preferences (may not be `null`)

Method Detail

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination (may not be `null`)

### getContacts

    public Contact[] getContacts()

  Gets the list of contacts for this account.

  Returns:
    an array of contacts or an empty array for none

### setContacts

    public void setContacts(Contact[] contacts)

  Sets the list of contacts for this account.

  Parameters:
    `contacts` - the contacts (may not be `null`)

### getSortProperty

    public SortProperty getSortProperty()

  Gets the sort property.

  Returns:
    the sort property

### setSortProperty

    public void setSortProperty(SortProperty sortProperty)

  Sets the sort property.

  Parameters:
    `sortProperty` - the sort property (may not be `null`)

### setBegins

    public void setBegins(java.lang.String sBegins)

  Sets the begining alphabet for the contact search.

  Parameters:
    `sBegins` - the begin alphabet

### getBegins

    public java.lang.String getBegins()

  Gets the begining alphabet for the contact search.

  Returns:
    the begin alphabet

### setSearchTerm

    public void setSearchTerm(java.lang.String sSearchTerm)

  Sets the search term for the contact search.

  Parameters:
    `sSearchTerm` - the serach term

### getSearchTerm

    public java.lang.String getSearchTerm()

  Gets the search term for the contact search.

  Returns:
    the serach term

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.